/* eslint-env jest */

const { runPlugins } = require('./helpers');

const fontPlugin_ = require('../font');
const fontPlugin = () => fontPlugin_({ transform: n => `token(${n})` });

it('replaces white-listed font-face src with a token()', () => {
  let actual = runPlugins(
    `
    @font-face {
      src: url('SalesforceSans-Light.woff');
    }
  `,
    [fontPlugin()]
  );
  expect(actual).toMatchSnapshot();
});

it('removes @font-face with a non white-listed src', () => {
  let actual = runPlugins(
    `
    @font-face {
      src: url('Foo.woff');
    }
  `,
    [fontPlugin()]
  );
  expect(actual).toMatchSnapshot();
});
