/* eslint-env jest */

const { runPlugins } = require('./helpers');

const negationPlugin_ = require('../negation');
const negationPlugin = plugins =>
  negationPlugin_(plugins, { transform: x => `token(${x})` });

it('ignores negation patterns with invalid tokens', () => {
  let actual = runPlugins(
    `
    ($color-brand * -1)
  `,
    [negationPlugin([])]
  );
  expect(actual).toMatchSnapshot();
});

it('replaces negation patterns with valid tokens', () => {
  let actual = runPlugins(
    `
    ($color-brand * -1)
  `,
    [negationPlugin(['color-brand'])]
  );
  expect(actual).toMatchSnapshot();
});

xit('takes a transform', () => {
  let actual = runPlugins(
    `
    ($color-brand * -1)
  `,
    [negationPlugin_(['color-brand'], { transform: x => x + '!' })]
  );
  expect(actual).toMatchSnapshot();
});
